
/**
 *
 *  This file is part of the kdewebdev package
 *  Copyright (c) 2002 Keith Isdale <keith@kdewebdev.org>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 **/

#include <QSlider>
 
#include "xsldbgdebugger.h" 
#include "xsldbgwalkspeedimpl.h" 
 
XsldbgWalkSpeedImpl::XsldbgWalkSpeedImpl(XsldbgDebugger *debugger, 
																							QWidget *parent /*=0 */) 
	: QDialog(parent)	 
{ 
	setupUi(this);
	this->debugger = debugger; 
} 
 
XsldbgWalkSpeedImpl::~XsldbgWalkSpeedImpl() 
{ 
} 
 
void XsldbgWalkSpeedImpl::accept() 
{ 
	/* For xsldbg 1 means fast speed  9 means slow so invert the slider value to suit 
		ie : a slider value of 1 results in walk speed of 9 */ 
	debugger->slotWalkSpeed(10 - walkSpeedSlider->value()); 
	hide(); 
} 
 
void XsldbgWalkSpeedImpl::reject() 
{ 
	hide(); 
} 
 
 

#include "xsldbgwalkspeedimpl.moc"
